<template>
  <div class="md-layout">
    <div class="md-layout-item md-medium-size-50 md-xsmall-size-100 md-size-25">
      <stats-card header-color="blue">
        <template slot="header">
          <div class="card-icon">
            <md-icon>content_paste</md-icon>
          </div>
          <p class="category">Le mie segnalazioni</p>
          <h3 class="title"><animated-number :value="0"></animated-number>
          </h3>
        </template>

        <template slot="footer">
          <div class="stats">
             <md-icon>update</md-icon>
             appena aggiornato
          </div>
        </template>
      </stats-card>
    </div>
    <div class="md-layout-item md-medium-size-50 md-xsmall-size-100 md-size-25">
      <stats-card header-color="rose">
        <template slot="header">
          <div class="card-icon">
            <md-icon>equalizer</md-icon>
          </div>
          <p class="category">Totale segnalazioni</p>
          <h3 class="title">
            <animated-number :value="93"></animated-number>
          </h3>
        </template>

        <template slot="footer">
          <div class="stats">
            <md-icon>update</md-icon>
            appena aggiornato
          </div>
        </template>
      </stats-card>
    </div>
    <div class="md-layout-item md-medium-size-50 md-xsmall-size-100 md-size-25">
      <stats-card header-color="green">
        <template  slot="header">
          <div class="card-icon">
            <md-icon >store</md-icon>
          </div>
          <p class="category">Problemi segnalati risolti</p>
          <h3 class="title">
            <animated-number :value="72"></animated-number>
          </h3>
        </template>

        <template slot="footer">
          <div class="stats">
            <md-icon>update</md-icon>
            appena aggiornato
          </div>
        </template>
      </stats-card>
    </div>
    <div class="md-layout-item md-medium-size-50 md-xsmall-size-100 md-size-25">
      <stats-card header-color="warning">
        <template slot="header">
          <div class="card-icon">
            <md-icon>person</md-icon>
          </div>
          <p class="category">Utenti che hanno segnalato</p>
          <h3 class="title">
            <animated-number :value="4"></animated-number>
          </h3>
        </template>

        <template slot="footer">
          <div class="stats">
            <md-icon>update</md-icon>
            appena aggiornato
          </div>
        </template>
      </stats-card>
    </div>
    <div class="md-layout-item md-size-100">
      <h4 class="card-title">Le segnalazioni più recenti della tua zona</h4>
    </div>
    <div v-for="issue in issues" class="md-layout-item md-medium-size-100 md-xsmall-size-100 md-size-33">
      <product-card
        header-animation="true">
        <img class="img" slot="imageHeader" :src="issue.pictureUrl ? issue.pictureUrl : './img/sorry-image-not-available.png'">
        <h4 slot="title" class="title">
          {{issue.category}}
        </h4>
        <div slot="description" class="card-description">
          {{issue.description}}
        </div>
        <template slot="footer">
          <div class="stats">
            <p class="category" v-if="issue.typedAddress">
              <md-icon>place</md-icon>
              {{issue.typedAddress}}
            </p>
            <p class="category" v-if="issue.coordinates.length > 0">
              <md-icon>place</md-icon>
              longitudine {{issue.coordinates[0]}} latitudine {{issue.coordinates[1]}}
            </p>
          </div>
        </template>
      </product-card>
    </div>
    <NewIssueFabButton />
  </div>
</template>

<script>
  import axios from 'axios';
  import AsyncWorldMap from '@/components/WorldMap/AsyncWorldMap.vue'
  import {
    StatsCard,
    ChartCard,
    ProductCard,
    AnimatedNumber,
    GlobalSalesCard,
    GlobalSalesTable,
    NewIssueFabButton
  } from '@/components'

export default{
  components: {
    StatsCard,
    ChartCard,
    AnimatedNumber,
    ProductCard,
    GlobalSalesCard,
    GlobalSalesTable,
    AsyncWorldMap,
    NewIssueFabButton
  },
  data () {
    return {
      issues: []
    }
  },
  mounted: function () {
    axios.get('/issues?limit=3')
      .then(({ data: issues }) => {
        console.log(issues);
        this.issues = issues;
      })
  }
}
</script>
